Bug 6559 - [UPDATE REQUEST] grub2-2.00-77
: [UPDATE REQUEST] grub2-2.00-77
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 13:11 MSK by Konstantin Vlasov
Modified: 2016-01-19 16:47 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2016-01-12 13:11:07 MSK
Added "quiet" to the default kerenl command line parameters.
Comment 1 Konstantin Vlasov 2016-01-12 13:11:50 MSK
https://abf.io/build_lists/2617760
https://abf.io/build_lists/2617761

Advisory: Added "quiet" to the default kerenl command line parameters, so that no console messages were displayed before Plymouth.
Comment 2 Vladimir Potapov 2016-01-12 19:15:18 MSK
Что-то не получилось. Параметр не добавляется (проверил две архитектуры и EFI), консоль все так же показывается.
Comment 3 Konstantin Vlasov 2016-01-12 20:07:20 MSK
Потому что это конфигурационный файл, он не перезаписывается автоматом. Графический обновлятор в таких случаях предлагает сравнить старый файл и новый, чтобы пользователь мог просмотреть изменения и перенести к себе, не потеряв при этом локальных изменений. Если обновляться из консоли, то там выдаётся ворнинг, что файл сохранён с расширением .rpmnew. Предполагается, что если пользователь работает из консоли, то он знает, что с этим делать.

P.S. Чтобы проверить поведение графического обновлятора, надо добавлять контейнер с ключом --update, т. к. по умолчанию там используются только update-репы.
Comment 4 Vladimir Potapov 2016-01-14 14:27:51 MSK
Обновление не работает без update-grub2.
Но для релиза это  не так важно...
Comment 5 Vladimir Potapov 2016-01-14 14:28:23 MSK
так что можно в тестинг
Comment 6 Konstantin Vlasov 2016-01-14 14:59:23 MSK
(In reply to comment #4)
> Обновление не работает без update-grub2.

Увы, это тоже прямое следствие структуры пакета. Он сначала ставится, отрабатывают скрипты, и только потом предлагается проверить /etc/default/grub. Естественно, после этого перегенерировать конфиг приходится заново.

> так что можно в тестинг

Послал.
Comment 7 Vladimir Potapov 2016-01-14 16:26:30 MSK
The update is sent to expanded testing
**************************************
Comment 8 Vladimir Potapov 2016-01-18 19:29:11 MSK
у меня в двух случаях после выбора нового конфига и перегенерации через update-grub2 слетала тема. Если в конфиге смотреть - просто тема не указана, указываешь - появляется, все нормально.
Comment 9 Konstantin Vlasov 2016-01-18 19:32:05 MSK
Надо не выбирать новый конфиг, а мёрджить новые значения в существующий. Дефолтный конфиг не содержит тему (потому что тема идёт отдельным пакетом и может отсутствовать), и если ты просто заменишь существующий файл, то да, тема слетит.
Comment 10 Vladimir Potapov 2016-01-18 19:39:41 MSK
(In reply to comment #9)
> Надо не выбирать новый конфиг, а мёрджить новые значения в существующий.
> Дефолтный конфиг не содержит тему (потому что тема идёт отдельным пакетом и
> может отсутствовать), и если ты просто заменишь существующий файл, то да,
> тема слетит.

Ага! Вот, значит, каким образом у пользователей иногда слетает оформление!
Может, все ж сделать в дефолте росиную тему, чтоб при любых действиях пользователя (там без рута ведь!) тема не слетала?
У нас ни в одном образе за всю историю граб без темы не использовался.
Comment 11 Vladimir Potapov 2016-01-18 19:42:56 MSK
Можно просто поставить связь и принять то, что дефолтная тема у нас не черная, а росиная - тогда будет и академически тоже правильно.
Comment 12 Vladimir Potapov 2016-01-18 20:31:53 MSK
grub2-2.00-76
https://abf.io/build_lists/2617760
https://abf.io/build_lists/2617761
*************************** Advisory **********************
Added "quiet" to the default kerenl command line parameters, so that no console messages were displayed before Plymouth.
***********************************************************
QA Verified
Comment 13 Andrey Bondrov 2016-01-18 22:04:11 MSK
Please don't publish this build yet.
Comment 14 Konstantin Vlasov 2016-01-19 14:39:09 MSK
https://abf.io/build_lists/2619783
https://abf.io/build_lists/2619784

Advisory:
1. Added "quiet" to the default kerenl command line parameters, so that no console messages were displayed before Plymouth.
2. Added default parameters for using the ROSA theme.
Comment 15 Vladimir Potapov 2016-01-19 16:42:36 MSK
grub2-2.00-77
https://abf.io/build_lists/2619783
https://abf.io/build_lists/2619784
*************************** Advisory **************************
1. Added "quiet" to the default kerenl command line parameters, so that no console messages were displayed before Plymouth.
2. Added default parameters for using the ROSA theme.
***************************************************************
QA Verified